-- UPGRADES ДЛЯ БЕСКОНЕЧНОГО УРОВНЯ

EndlessUpgrades = {
    { -- грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 2000;
    };
    { -- овца и волки
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            sheephouse= "CPP_AdjournUnblock('sheep');";
            level ="CPP_AdjournUnblock('wolf');";
        };
        params = "";
        score = 6000;
    };
    { -- коза
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat');";
        };
        params = "";
        score = 8000;
    };
    { -- машина
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('car');GameObject.BonusMoney.Car.active=1;";
        };
        params = "";
        score = 11000;
    };
    { -- лимонад
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('lemonad');";
        };
        params = "";
        score = 15000;
    };
    { -- сыроделка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('cheesemachine');";
        };
        params = "";
        score = 20000;
    };
    { -- терпеливость
        target = { 
            cow="SetDeltaImpatience(-20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(-20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(-20);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('sister');";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 25000;
    };
    { -- еще грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 30000;
    };
    { -- овца
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            sheephouse= "CPP_AdjournUnblock('sheep');";
        };
        params = "";
        score = 35500;
    };
    { -- дрова
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('chopping');";
        };
        params = "";
        score = 40000;
    };
    { -- начинает ломаться sheephouse
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            -- без туториала
            sheephouse="GameObject.Triggers.need_repair.amount=99999; GameObject.Triggers.need_repair.first_timer={ 2 };";
            -- тоже самое но с туториалом
            --sheephouse="GameObject.Triggers.need_repair.first_timer={ 2 }; GameObject.Triggers.need_repair.amount=99999;CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 48000;
    };
    { -- вторая машинка еды
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('eatmachine'); ";
        };
        params = "";
        score = 52500;
    };
    { -- коза
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat');";
        };
        params = "";
        score = 56000;
    };
    { -- увеличение скорости 
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            --dad="GameObject.Params.speed=1500;";
            --mother="GameObject.Params.speed=1500;";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 60500;
    };

    { -- начинает ломаться goathouse
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            -- без туториала
            goathouse="GameObject.Triggers.need_repair.amount=99999; GameObject.Triggers.need_repair.first_timer={ 2 };";
            -- тоже самое но с туториалом
            --goathouse="GameObject.Triggers.need_repair.first_timer={ 2 }; GameObject.Triggers.need_repair.amount=99999;CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 64500;
    };
    { -- корова
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow'); ";
        };
        params = "";
        score = 70000;
    };
    { -- лимонад на 3 стакана
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            lemonad="GameObject.Params.glass_count=3;";
            --с туториалом
            --lemonad="GameObject.Params.glass_count=3; CPP_GameMessage(10,'TUTORIAL_HERE',0);";
        };
        params = "";
        score = 81500;
    };
    { -- курица
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            henhouse1="CPP_AdjournUnblock('hen'); ";
        };
        params = "";
        score = 85000;
    };
    { -- начинает ломаться henhouse
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            -- без туториала
            henhouse1="GameObject.Triggers.need_repair.amount=99999; GameObject.Triggers.need_repair.first_timer={ 2 };";
            -- тоже самое но с туториалом
            --henhouse1="GameObject.Triggers.need_repair.first_timer={ 2 }; GameObject.Triggers.need_repair.amount=99999;CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 90500;
    };
    { -- терпеливость
        target = { 
            cow="SetDeltaImpatience(-15);SetDeltaPause(0);";
            goat="SetDeltaImpatience(-15);SetDeltaPause(0);";
            hen="SetDeltaImpatience(-15);SetDeltaPause(0);";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 100000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 150000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 300000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 400000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 600000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 800000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 1000000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 3000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 5000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 9999999;
    };
};

